% -------------------------------------------------------------------------
%  Filename: BinomialTree1.m 
%  Graph of Binomial Tree Model 
%  Programmed by CBS
%--------------------------------------------------------------------------
clear all, close all, clf;
M = 5;
Deltat = 1/M;
r = 0.10; sigma = 0.10;
u = exp(sigma*sqrt(Deltat))
d = 1/u
q = (exp(r*Deltat)-d)/(u-d)
lnu = log(u); lnd = log(d);
hold on
for k=0:1:M
% plot( [ 0 M ],[ 0 0 ],'g','linewidth',2)
    plot( [ k M ], [k*lnd,k*lnd+(M-k)*lnu ],'g','linewidth',2)
    plot( [ k M ], [k*lnu,k*lnu+(M-k)*lnd ],'g','linewidth',2 )
end
for x=0:1:M
    for y = x*lnd:(lnu-lnd):x*lnu
        plot(x,y,'k*','linewidth',3)
    end
end
set(gcf,'color','w')
set(gca,'fontsize',11,'fontweigh','bold','ytick',[])
% xpath = 0:5;
% ypath = [0 lnd lnd+lnu lnd+2*lnu lnd+lnu lnd+2*lnu ]; 
% plot( xpath,ypath,'k','linewidth',2.5)
axis( [ -1.3 7.5 1.1*M*lnd 1.1*M*lnu ] )
axis off
text(-1.0,0,'\bfln S_{0,0}')

dum1 = 0.005;

text(1.1,1*lnu+0*lnd-dum1,'\bf ln S_{1,1}')
text(1.1,0*lnu+1*lnd-dum1,'\bf ln S_{1,0}')

text(2.1,2*lnu+0*lnd-dum1,'\bf ln S_{2,2}')
text(2.1,1*lnu+1*lnd-dum1,'\bf ln S_{2,1}')
text(2.1,0*lnu+2*lnd-dum1,'\bf ln S_{2,0}')

text(3.1,3*lnu+0*lnd-dum1,'\bf ln S_{3,3}')
text(3.1,2*lnu+1*lnd-dum1,'\bf ln S_{3,2}')
text(3.1,1*lnu+2*lnd-dum1,'\bf ln S_{3,1}')
text(3.1,0*lnu+3*lnd-dum1,'\bf ln S_{3,0}')

text(4.1,4*lnu+0*lnd-dum1,'\bf ln S_{4,4}')
text(4.1,3*lnu+1*lnd-dum1,'\bf ln S_{4,3}')
text(4.1,2*lnu+2*lnd-dum1,'\bf ln S_{4,2}')
text(4.1,1*lnu+3*lnd-dum1,'\bf ln S_{4,1}')
text(4.1,0*lnu+4*lnd-dum1,'\bf ln S_{4,0}')

text(5.1,5*lnu+0*lnd,'\bf ln S_{0,0}+5ln(u)+0ln(d)')
text(5.1,4*lnu+1*lnd,'\bf ln S_{0,0}+4ln(u)+1ln(d)')
text(5.1,3*lnu+2*lnd,'\bf ln S_{0,0}+3ln(u)+2ln(d)')
text(5.1,2*lnu+3*lnd,'\bf ln S_{0,0}+2ln(u)+3ln(d)')
text(5.1,1*lnu+4*lnd,'\bf ln S_{0,0}+1ln(u)+4ln(d)')
text(5.1,0*lnu+5*lnd,'\bf ln S_{0,0}+0ln(u)+5ln(d)')

hold off
% End of program
% -------------------------------------------------------------------------
