% ----------------------------------------------------------------
% Filename: BBridge1.m
% Sample paths of Brownian Bridge 
% Programmed by CBS
%-----------------------------------------------------------------
t = 1; mu=0; sigma = 1; 
M = 500;
rand('state'); clf;
for i=1:3
	 Deltat = t/M;
	 xrand = mu*Deltat + sigma*sqrt(Deltat)*randn(1,M);
	 x = cumsum(xrand);
	 x = [ 0 , x ];
	 k = 0:1:M;
	 tk = k*Deltat;
	 bridge = x - x(M+1)*tk;
	 hold on
	 plot(tk,bridge,'k','linewidth',2)
end
set(gca,'fontsize',11,'fontweigh','bold')
y0 = tk - tk;
plot(tk,y0,'k','linewidth',1)
xlabel('\bf time t','fontsize',12,'fontweigh','bold'); 
ylabel('\bf b_t','fontsize',12,'fontweigh','bold')
hold off 
% End of program
% --------------------------------------------------------------------