% -------------------------------------------------------------------------
% Filename: BBridge2.m
% Samle pathes of Brownian Bridge from alpha to beta on [0,etime]
% Programmed by CBS
%--------------------------------------------------------------------------
function BBridge2(etime,alpha,beta,sigma) 
M = 1000;
rand('state'); clf;
Deltat = etime/M;
xrand = sigma*sqrt(Deltat)*randn(1,M);
x = cumsum(xrand);
x = [ 0 , x ];
k = 0:1:M;
tk = k*Deltat;
btrend = alpha*(1-tk/etime) + beta*tk/etime;
bridge = alpha*(1-tk/etime) + beta*tk/etime + (x - tk*x(M+1)/etime);
y0 = tk - tk;
plot(tk,bridge,'k',tk,btrend,'k',tk,y0,'k','linewidth',2)
set(gca,'fontsize',11,'fontweigh','bold')
xlabel('\bf time t','fontsize',12,'fontweigh','bold'); 
ylabel('\bf b_t','fontsize',12,'fontweigh','bold')
hold off 
% End of program
% -------------------------------------------------------------------------