% ----------------------------------------------------------------
% Filename: BMdrift1.m 
% Sample paths of a Brownian Motion with drift 
% Programmed by CBS
%-----------------------------------------------------------------
function BMdrift1(mu,sigma,t)  
rand('state'); clf
for i=1:5
    M = 600;
    Deltat = t/M;
    xrand = mu*Deltat + sigma*sqrt(Deltat)*randn(1,M);
    x = cumsum(xrand);
    x = [ 0 , x ];
    k = 0:1:M;
    tk = k*Deltat;
    hold on
    plot(tk,x,'k','linewidth',2)
end
set(gca,'fontsize',11,'fontweigh','bold')
xlabel('\bf time t','fontsize',12','fontweigh','bold'); 
ylabel('\bf x_t','fontsize',12','fontweigh','bold')
hold off
% End of program
% -----------------------------------------------------------------