% -------------------------------------------------------------------------
%  Filename: FirstVariation.m
%  Drawing Fig 2.4.1
%  Programmed by CBS
% -------------------------------------------------------------------------
clear all, close all, clf
ff = inline('x.*(x-1).*(x-2)')
x = 0:0.003:2;
y = ff(x);

xa = 0.5, ya = ff(xa)
xb = 1.5, yb = ff(xb)
xc = 0.7113, yc = ff(xc);

slopeAB = (yb-ya)/(xb-xa)
xab = 0.8*xa:0.01:1.1*xb;
yab = ya + slopeAB*(xab-xa);

slopeC = (yb-ya)/(xb-xa)
xC = 0.4:0.01:1.6;
yC = yc + slopeAB*(xC-xc);

% Plot

hold on
plot(-0.2:0.002:2.1,0,'k',0.2,-0.6:0.003:0.6,'k','linewidth',1.3)
plot(0.5,0:0.005:ya,'k','linewidth',1.3)
plot(1.5,0:-0.005:yb,'k','linewidth',1.3)
plot(0.7113,0:0.005:yc,'k' ,'linewidth',1.3)
plot(x,y,'g-','linewidth',2.5)
plot(xab,yab,'k-',xC,yC,'r-','linewidth',2.5)
set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])
% xlabel('\bf t'), ylabel('\bf x(t)')

text(0.97*xa,-0.04,'\bf t_1')
text(0.97*xc,-0.04,'\bf t_1^*')
text(1.00*xb,-0.04,'\bf t_2')
text(2.0,-0.04,'\bf T')

text(1.02*xc,1.1*yc,'\bf slope = x'' (t_1^* )')
axis( [ -.05, 2.05, -0.5, 0.5 ])
hold off
% End of program
% -------------------------------------------------------------------------
