% ---------------------------------------------------------------------
%  Filename: Reflection1.m
%  Reflection Principle of a Browninan motion
%  Programmed by CBS
%----------------------------------------------------------------------
rand('state',3456789); clf
maxtime = 100; 
Deltat = 1;
ttime = linspace(0,maxtime,maxtime+1);
dW = sqrt(Deltat)*randn(1,maxtime);
if dW(1) < 0;
    dW = -dW;
end
BM(1) = 0; BM(2:maxtime+1) = cumsum(dW);
tauM = maxtime+1;
mm = 2; % reflection value; assume that mm > 0.
for tt=1:1:maxtime+1
    if BM(tt) >= mm
       tauM = tt-1;
       break
    end
end
reflBM = BM;
reflBM( tauM+1:maxtime+1 ) = 2*mm - BM( tauM+1:maxtime+1);
dum1 = max(abs(BM)); dum2 = max(abs(reflBM));
dum = 1.1*max(dum1,dum2);
kconst = linspace(0,maxtime,maxtime*5);
rconst = linspace(-dum,dum,dum*50);
hold on
plot(ttime,BM,'k-',ttime,reflBM,'k-.','linewidth',2.5)
legend('\bf W','\bf W^{ *}',2)
plot(kconst,mm,'k',tauM,rconst,'k','linewidth',1)
set(gca,'fontsize',11,'fontweigh','bold')
axis([ 0, maxtime, -dum, dum ]);
xlabel('\bf time t','fontsize',12), ylabel('\bf W_t','fontsize',12)
gtext('\bf \tau_{m}','fontsize',12), gtext('\bf m','fontsize',12)
gtext('\bf A','fontsize',12), gtext('\bf B','fontsize',12)
hold off
% End of program
% ----------------------------------------------------------------------