% ----------------------------------------------------------------
% Filename: ScaledRW1.m
% Scaled Random Walks with t = 0.25 and M = 200
% Programmed by CBS
%----------------------------------------------------------------
t = 0.25; M = 200;
rand('state',34567);
NN = 5;   % Number of scaled random walks
tt = (0:1:M*t)/M;
clf; hold on
for i = 1:1:NN
    y = cumsum(2*binornd(1,0.5,1,M*t)-1);
    y = [0 , y];   % let y_0 = 0
    W = y/sqrt(M);
    plot(tt,W,'k','linewidth',2.5) 
end
set(gca,'fontsize',11,'fontweigh','bold')
xlabel('\it t','Fontsize',12','Fontweigh','bold')
ylabel('\it W_t','Fontsize',12','Fontweigh','bold')
% title('Scaled Random Walks','fontsize',14,'Fontweigh','bold')
hold off
% End of program
% ----------------------------------------------------------------
