% ----------------------------------------------------------------
% Filename: ScaledRW2.m
%  Distribution of Scaled Random Walks with t = 0.25 and M = 100
% Programmed by CBS
%----------------------------------------------------------------
t = 0.25; M = 100;
rand('state',34567);
NN = 2000; % Number of scaled random walks
W = zeros(NN,1);
for i = 1:1:NN
    y = cumsum(2*binornd(1,0.5,1,M*t)-1);
    W(i) = y(1,M*t)/sqrt(M);
end
% change the bar heights;
Nsubint = 17;            % Number of subintervals
[ Nbar,Wcenter ] = hist(W,Nsubint);
subint = Wcenter(2) - Wcenter(1);
Nheight = Nbar/subint/NN;
% true pdf
WW = linspace(-1.5,1.5,1001);
yy = normpdf(WW,0,0.5);
% use the bar function to plot
hold on
bar(Wcenter,Nheight,1,'w','linewidth',2.5)
set(gca,'fontsize',11,'fontweigh','bold')
plot(WW,yy,'r-.','linewidth',2.5)
xlabel('\it W_t','fontsize',12','fontweigh','bold')
ylabel('Relative Frequency','Fontsize',12','fontweigh','bold')
% title('\bf Scaled Random Walk and Normal Curve','fontsize',14, ...
%       'fontweigh','bold')
hold off
% End of program
% ----------------------------------------------------------------
