% -------------------------------------------------------------------------
%  Filename: BrownTaylorApprox
%  Drawing Fig 3.5.1
%  Programmed by CBS
% -------------------------------------------------------------------------
clear all, close all, clf
f = inline('1/4*x.^2+1/8')
ftan = inline('1/2*x - 1/8')
w = linspace(-0.30,2.5,1000);

% Plot
hold on
plot(w,f(w),'k','linewidth',2)
plot(w,ftan(w),'k','linewidth',2)
set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])

xdum1 = -0.5:0.01:3; ydum1 = 0*xdum1;
plot(xdum1,ydum1,'k-','linewidth',2.0)
ydum2 = -0.5:0.01:2; xdum2 = 0*ydum2;
plot(xdum2,ydum2,'k-','linewidth',2.0)
ydum3 = 0:0.01:3/8; xdum3 = (ydum3-ydum3+1);
plot(xdum3,ydum3,'k:','linewidth',2.0)
ydum4 = 0:0.01:9/8; xdum4 = (ydum4-ydum4+2);
plot(xdum4,ydum4,'k:','linewidth',2.0)
xdum5 = 1:0.01:2; ydum5 = (xdum5-xdum5+3/8);
plot(xdum5,ydum5,'k:','linewidth',2.0)
axis( [ -.5, 2.7, -0.3, 1.7])

text(1-0.15,-0.1,'\bf W(t_{j})')
text(2-0.2,-0.1,'\bf W(t_{j+1})')
text(1-0.6,3/8+0.03,'\bf (W(t_{j}),g(W(t_{j})))')
text(2-0.8,9/8,'\bf (W(t_{j+1}),g(W(t_{j+1})))')
text(2+0.02,5/8,'\bf g''(W(t_{j}))\DeltaW(t_{j})')
text(1.5-0.1,0.06,'\bf \DeltaW(t_{j})')
text(-0.1,1.60,'\bf f')
hold off
% End of program
% -------------------------------------------------------------------------
