% -------------------------------------------------------------------------
%  Filename: DeltaNeutralPosition
%  Drawing Fig 3.7.1
%  Programmed by CBS
% -------------------------------------------------------------------------
clear all, close all, clf
f = inline('1/4*x.^2+1/2')
ftan = inline('1/2*x + 1/4')
w = linspace(0,2.0,1000);
sstar = 1;    Cstar = f(sstar);
sminus = 0.5; Cminus = f(sminus);
splus = 1.5;  Cplus = f(splus)

% Plot
hold on
plot(w,f(w),'k','linewidth',2)
plot(w,ftan(w),'k','linewidth',2)
set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])

plot( [ -0.5 2.2 ], [ 0 0 ],'k-','linewidth',2)
plot( [ 0, 0 ], [-0.2 , 2.2 ],'k-','linewidth',2)
plot( [ sminus, sminus ], [ 0, Cminus ],'k:','linewidth',2)
plot( [ sstar, sstar], [ 0, Cstar ],'k:','linewidth',2)
plot( [ splus, splus ], [ 0, Cplus ],'k:','linewidth',2)
plot( [ 0, sminus ], [Cminus, Cminus ] ,'k:','linewidth',2)
plot( [ 0, sstar ], [ Cstar, Cstar],'k:','linewidth',2)
plot( [ 0, splus ], [ Cplus, Cplus ], 'k:','linewidth',2)

axis( [ -0.32, 2.1, -0.15, 1.3 ])

text(-0.28,Cplus,'\bf C(S_{+},t)')
text(-0.28,Cstar,'\bf C(S_{*},t)')
text(-0.28,Cminus,'\bf C(S_{-},t)')
text(splus-0.05,-0.06,'\bf S_{+}')
text(sstar-0.05,-0.06,'\bf S_{*}')
text(sminus-0.05,-0.06,'\bf S_{-}')

text(sstar+0.20,Cplus+0.08,'\bf y = C(S_{t},t)')
text(sstar+0.12,Cstar+0.03,'\bf y = C(S_{*},t)+C_{S}(S_{*},t)[S_{t}-S_{*}]')

text(1.97,-0.06,'\bf S_{t}')
text(-0.26,1.25,'\bf C(S_{t},t)')
hold off
% End of program
% -------------------------------------------------------------------------
