% -------------------------------------------------------------------------
%  Filename: PutCallParity2.m
%  Drawing Fig 3.6.2
%  Programmed by CBS
% -------------------------------------------------------------------------
clear all, close all, clf
% Black-Scholes Equations
K = 1;
r = 0.05; sigma = 0.25; tau = 1;
St = 0.01:0.01:1.99;
d1 = (log(St/K)+(r + sigma*sigma/2)*tau)/sigma./sqrt(tau);
d2 = d1 - sigma*sqrt(tau);
CALLp = St.*normcdf(d1,0,1) - K*exp(-r*tau).*normcdf(d2,0,1);
PUTp = K*exp(-r*tau).*normcdf(-d2,0,1) - St.*normcdf(-d1,0,1);
parity = St - K*exp(-r*tau);
% 
xmin = K - 0.6;
xmax = K + 0.6;
ymax = xmax - K;
ymin = -ymax;
x = xmin:0.001:xmax;
hold on
plot(St,parity,'g',St,CALLp,'k:',St,-PUTp,'r-.','linewidth',2)
set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])
legend('S_{t}-Ke^{-r\tau}','C(S_{t},t)','-P(S_{t},t)',4)
text(K-0.05,-0.03,'\bf K')
text(xmax-0.07,+0.03,'\bf S_t')
plot( [ -xmin xmax ], [ 0 0 ],'b','linewidth',1)
axis( [ xmin xmax ymin ymax ] )
axis square
hold off
% End of program
% -------------------------------------------------------------------------
