% -------------------------------------------------------------------------
%  Filename: TanakaFunction2.m
%  Drawing Fig 3.10.2 (Differential of Tanaka function)
%  Programmed by CBS
% -------------------------------------------------------------------------
function TanakaFunction2
clear all, close all

K = 1;
xmin = K - 0.6;
xmax = K + 0.6;
ymin = 0;
ymax = 1.1;

plot( [ -xmin xmax ], [ 0 0 ],'k:','linewidth',1.5)
set(gca,'fontsize',12,'fontweigh','bold','xtick',[],'ytick',[])
hold on
plot( [ K , K ],[0 1],'r','linewidth',1.5)
plot( [ K xmax ], [ 1,1 ],'r','linewidth',1.5)
plot( [ xmin K ], [ 0,0 ],'r','linewidth',1.5)

for n=1:3:16
    x1 = K-1/2/n; x2 = K + 1/2/n;
    plot( [ x1 x2 ],[0 1],'k','linewidth',1.5)
end
text(K-0.02,-0.03,'\bf K')
axis( [ xmin xmax ymin-0.06 ymax ] )
hold off

% end of program
% -------------------------------------------------------------------------
