% -------------------------------------------------------------------------
% Filename: SLSG1.m
% Stop-Loss-Start-Gain strategy 1
% Programmed by CBS
%--------------------------------------------------------------------------
clear all, close all
K = 100;
t = 0; T = 1; 
r = 0.3;
u = linspace(0,1,101);
KB = K*exp(-r*(T-u));
Su = KB + 2*sin(3*pi*(u-0.1))+0.2*randn(1,101);
plot(u,Su','r-',u,KB,'k--','linewidth',2.5)
set(gca,'fontsize',11,'fontweigh','bold','xtick',[],'ytick',[])
legend('\bf S_{u}','\bf KB(u,T)',2)
axis square
xlabel('\bf u')
text(-0.02,69,'\bf t'), text(1-0.02,69,'\bf T')
gtext('\bf P'), gtext('\bf Q'), gtext('\bf R'), text(1,68,'\bf T')
% End of program
% -------------------------------------------------------------------------
