% -------------------------------------------------------------------------
% Filename: SLSG.m
% Stop-Loss-Start-Gain strategy
% Programmed by CBS
%--------------------------------------------------------------------------
clear all, close all
K = 100;
B = 0.9;
Su = 70:0.2:130;
Tvalue = max(Su-K,0);
SLSGvalue = max(Su-B*K,0);
% Plotting
plot(Su,Tvalue,'k--',Su,SLSGvalue,'r','linewidth',2.5)
set(gca,'fontsize',11,'Fontweigh','bold','xtick',[],'ytick',[])
legend('Intrinsic Value','SLSG value',2)
ylabel('Payoff')
text(85,-1.5,'\bf KB(u,T)'), text(98.5,-1.2,'\bf K')
text(127,-1.5,'\bf S_{u}')
axis square
% end of program
% -------------------------------------------------------------------------
